Page MenuHomePhabricator

[Story] Section header for Forms
Closed, ResolvedPublic

Description

We would like to have a section called 'Forms' above the Statement section of every Lexeme page,
so we can better differentiate between Statements of a Lexeme and Forms of a Lexeme.

This Form section header should have the exact styling as sections on a Item page for Identifiers and Statements.

Acceptance criteria ( Cucumber ):

When I am on a Lexeme page
 Then Forms Section Header should be there

Related Objects

Event Timeline

Jonas updated the task description. (Show Details)Mar 20 2017, 11:46 AM

Change 343911 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme] Add and start using LexemeFormsView to output a "Forms" headline

https://gerrit.wikimedia.org/r/343911

thiemowmde moved this task from Proposed to Review on the Wikidata-Former-Sprint-Board board.
thiemowmde moved this task from incoming to in progress on the Wikidata board.

Change 343918 had a related patch set uploaded (by Thiemo Mättig (WMDE)):
[mediawiki/extensions/WikibaseLexeme] Make "Forms" headline localizable

https://gerrit.wikimedia.org/r/343918

Per what https://gerrit.wikimedia.org/r/#/c/343911/ says:

Note that T160520 is not fully resolved with this because localization is missing, as well as a basic browser test.

and not seeing all mentioned components having a dedicated patch ready for review, I think it is incorrect to have this ticket in the Review column. Therefore I am moving it back to Backlog (one could argue Doing would be more appropriate - quite possible!).
Also title of the ticket says it is a "Story". I think it is arguable that one can claim a "Story" is "in doing" or "in review". Or isn't it?

There are patches to review, so this clearly belongs to the review column. Can (and actually should!) be moved back when there is nothing left to review (all linked patches are either merged or have a -1), but the task is not resolved yet.

thiemowmde updated the task description. (Show Details)Mar 21 2017, 5:30 PM

@thiemowmde thank you for working on that, but I must say I am not happy with adding patches to this ticket.

In my mind we should do a task breakdown and only add patches to that tasks that then go through review and are closed when done.
This ticket should stay in doing till every sub task is closed and then be moved to done where the PO should close it after all acceptance criteria are proofed.

@Jonas you think we need a task breakdown for adding a header? At some point, the management overhead will reach critical mass, forming a black hole...

Lines written on this ticket already exceed lines needed for the implementation. Time spend talking about this ticket already exceeds time needed to implement the feature (including tests).

I believe in tracking stories and tasks separately. I think task breakdown is important. But granularity is a balance, and management and communication overhead are real. You have to stop somewhere, otherwise it's turtles all the way down...

@daniel I think you are wrong and this ticket is not the right place to discuss this.

@Jonas All the other comments here are meta-discussion. I'm just adding my 2¢ to that.

Jonas removed thiemowmde as the assignee of this task.Mar 22 2017, 10:18 AM
Jonas updated the task description. (Show Details)
Jonas removed a project: Patch-For-Review.
Jonas moved this task from Review to Doing on the Wikidata-Former-Sprint-Board board.
Jonas added a subscriber: thiemowmde.
Jonas closed this task as Resolved.Apr 12 2017, 12:30 PM